---
- name: synapse mediarepo ingress
  k8s:
    state: present
    force: yes
    definition:
      apiVersion: extensions/v1beta1
      kind: Ingress
      metadata:
        name: synapse-mediarepo
        namespace: matrix
        annotations:
          cert-manager.io/cluster-issuer: letsencrypt-prod
          nginx.ingress.kubernetes.io/proxy-body-size: "100m"
          nginx.ingress.kubernetes.io/upstream-vhost: "feneas.org"
      spec:
        tls:
          - hosts:
              - matrix.feneas.org
            secretName: tls-synapse
        rules:
          - host: matrix.feneas.org
            http:
              paths:
                - path: /_matrix/media
                  backend:
                    serviceName: mediarepo
                    servicePort: 8000

- name: synapse ingress
  k8s:
    state: present
    force: yes
    definition:
      apiVersion: extensions/v1beta1
      kind: Ingress
      metadata:
        name: synapse
        namespace: matrix
        annotations:
          cert-manager.io/cluster-issuer: letsencrypt-prod
          nginx.ingress.kubernetes.io/use-regex: "true"
          nginx.ingress.kubernetes.io/upstream-hash-by: "$http_authorization"
      spec:
        tls:
          - hosts:
              - matrix.feneas.org
            secretName: tls-synapse
        rules:
          - host: matrix.feneas.org
            http:
              paths:
                - path: /
                  backend:
                    serviceName: synapse
                    servicePort: 8008
                - path: /.well-known/matrix
                  backend:
                    serviceName: synapse-wellknown
                    servicePort: 80
                - path: "/_matrix/client/(v2_alpha|r0)/sync$"
                  backend:
                    serviceName: synapse-synchrotron
                    servicePort: 8008
                - path: "/_matrix/client/(api/v1|v2_alpha|r0)/events$"
                  backend:
                    serviceName: synapse-synchrotron
                    servicePort: 8008
                - path: "/_matrix/federation/v1/event/"
                  backend:
                    serviceName: synapse-federation-reader
                    servicePort: 8008
                - path: "/_matrix/federation/v1/state/"
                  backend:
                    serviceName: synapse-federation-reader
                    servicePort: 8008
                - path: "/_matrix/federation/v1/state_ids/"
                  backend:
                    serviceName: synapse-federation-reader
                    servicePort: 8008
                - path: "/_matrix/federation/v1/backfill/"
                  backend:
                    serviceName: synapse-federation-reader
                    servicePort: 8008
                - path: "/_matrix/federation/v1/get_missing_events/"
                  backend:
                    serviceName: synapse-federation-reader
                    servicePort: 8008
                - path: "/_matrix/federation/v1/publicRooms"
                  backend:
                    serviceName: synapse-federation-reader
                    servicePort: 8008
                - path: "/_matrix/federation/v1/query/"
                  backend:
                    serviceName: synapse-federation-reader
                    servicePort: 8008
                - path: "/_matrix/federation/v1/make_join/"
                  backend:
                    serviceName: synapse-federation-reader
                    servicePort: 8008
                - path: "/_matrix/federation/v1/make_leave/"
                  backend:
                    serviceName: synapse-federation-reader
                    servicePort: 8008
                - path: "/_matrix/federation/(v1|v2)/send_join/"
                  backend:
                    serviceName: synapse-federation-reader
                    servicePort: 8008
                - path: "/_matrix/federation/(v1|v2)/send_leave/"
                  backend:
                    serviceName: synapse-federation-reader
                    servicePort: 8008
                - path: "/_matrix/federation/(v1|v2)/invite/"
                  backend:
                    serviceName: synapse-federation-reader
                    servicePort: 8008
                - path: "/_matrix/federation/v1/query_auth/"
                  backend:
                    serviceName: synapse-federation-reader
                    servicePort: 8008
                - path: "/_matrix/federation/v1/event_auth/"
                  backend:
                    serviceName: synapse-federation-reader
                    servicePort: 8008
                - path: "/_matrix/federation/v1/exchange_third_party_invite/"
                  backend:
                    serviceName: synapse-federation-reader
                    servicePort: 8008
                - path: "/_matrix/federation/v1/user/devices/"
                  backend:
                    serviceName: synapse-federation-reader
                    servicePort: 8008
                - path: "/_matrix/federation/v1/get_groups_publicised$"
                  backend:
                    serviceName: synapse-federation-reader
                    servicePort: 8008
                - path: "/_matrix/key/v2/query"
                  backend:
                    serviceName: synapse-federation-reader
                    servicePort: 8008
